Axiomatic
Reconciliation

Reconciliation

Import and match external transactions, positions, and balances

GET
/api/reconciliation

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Query Parameters

entityId*string
type*string
status?string
batchId?string
summary?boolean
limit?integer
offset?integer

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/reconciliation?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&type=transactions"
{}
{
  "error": "string"
}
{
  "error": "string"
}
POST
/api/reconciliation

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/reconciliation" \  -H "Content-Type: application/json" \  -d '{    "action": "import"  }'
{}
{
  "error": "string"
}
{
  "error": "string"
}